#!/bin/sh
if [ "$1" != "" ]
then
    cd /mnt/SMC/Config
    cp AdminConfig.xml AdminConfig.xml.backup
    sed -e "s/IPGateway>.*</IPGateway>$1</" AdminConfig.xml > AdminConfig.xml.new
    cp AdminConfig.xml.new AdminConfig.xml
    sync
else
    echo "Please enter a valid formated IP address:  aaa.bbb.ccc.ddd"
fi
